// For a detailed explanation regarding each configuration property, visit:
// https://jestjs.io/docs/en/configuration.html

module.exports = {
  collectCoverage: true,
  coverageDirectory: './docs/coverage',
  coverageReporters: ['json', 'lcov', 'text', 'clover', 'html'],
  reporters: [
    'default',
    ['jest-html-reporters', {
      publicPath: './docs',
      filename: 'test-report.html',
      pageTitle: 'Module :: Security :: Test Results'
    }]
  ],
  testEnvironment: 'node',
  moduleFileExtensions: ['js']
}
